# Uses of Class
org.apache.sysds.runtime.compress.workload.AWTreeNode

Packages that use AWTreeNode
Package
Description
org.apache.sysds.hops
org.apache.sysds.runtime.compress.workload

## Uses of AWTreeNode in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type AWTreeNode
Modifier and Type
Method
Description
`void`
Hop.`setRequiresCompression(AWTreeNode node)`

## Uses of AWTreeNode in org.apache.sysds.runtime.compress.workload

Subclasses of AWTreeNode in org.apache.sysds.runtime.compress.workload
Modifier and Type
Class
Description
`class`
`WTreeNode`
A Node in the WTree, this is used for any nodes that are not the root.
`class`
`WTreeRoot`
The root node of the tree, located at the top of the tree.